import { type Base, genBase } from "./_base"

export interface Template extends Base {
  encounter_id: number
  class_code: string
  infra_id: number
}

export function genTemplate(): Template {
  return {
    ...genBase(),
    encounter_id: 0,
    class_code: '',
    infra_id: 0,
  }
}
